#
# spec file for package libretro-nestopia
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-nestopia
Version:        1.50~git20190921
Release:        bp155.2.10
Summary:        Nintendo NES / FDS Emulator for Retro-based frontends
License:        GPL-2.0-only
Group:          Amusements/Games/Other
URL:            https://github.com/libretro/nestopia
Source:         %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++

%description
This package contains a libretro port of the Nestopia emulator.
It can be used by various frontends to load Nintendo Entertainement System
/ Famicom Disk System games.

%prep
%setup -q

%build
make %{?_smp_mflags} --directory=libretro prefix=%{_prefix} core_installdir=%{_libdir}/libretro/

%install
make --directory=libretro DESTDIR=%{buildroot} install prefix=%{_prefix} libdir=%{_libdir}

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/nestopia_libretro.so

%changelog
* Thu Oct  3 2019 i@guoyunhe.me
- Update to version 1.50~git20190921
- Remove info file nestopia.libretro because it is provided in
  libretro-core-info package
* Sun Oct 28 2018 sean@suspend.net
- Update to v1.49
  * Shell: added more palettes to extras
  * Shell: Game-specific custom palettes
  * Scale factors up to 8x
  * Added option to enable overclocking
  * Added rewind controls to gamepad
  * Famicom Mic support
  * Optional JACK Audio support (McKayJT)
  * Added .wav sample loading
  * Changes: Separated GTK+ and SDL input settings
  * Removed deprecated functions from UI
  * Use GTK+ OpenGL widget for GUI (Wayland support)
  * Reworked Alternate Speed/Fast-Forward
  * Allow mapping more than 9 joysticks (Lou-Cipher)
  * Restructured build system, separated SDL and GTK builds
  * Curors options split int normal and special cursor options
  * Fixed automatc ROM patching, improved patching function
* Wed Sep 13 2017 aplazas@suse.com
- Initial package, version 0~20170910.3eacbb2 (no proper versioning
  done by upstream).
